## PhoshLockshield

PhoshLockshield — Lock shield for non primary screens

## Functions

GtkWidget * | phosh_lockshield_new ()

## Types and Values

#define | PHOSH_TYPE_LOCKSHIELD
| PhoshLockshield

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBin
                        ╰── GtkWindow
                            ╰── PhoshLayerSurface
                                ╰── PhoshLockshield

## Implemented Interfaces

PhoshLockshield implements AtkImplementorIface and GtkBuildable.

## Description

The PhoshLockshield is displayed on lock screens which are not the primary one.

## Functions

### phosh_lockshield_new ()

    GtkWidget *
    phosh_lockshield_new (gpointer layer_shell,
                          gpointer wl_output);

## Types and Values

### PHOSH_TYPE_LOCKSHIELD

    #define PHOSH_TYPE_LOCKSHIELD (phosh_lockshield_get_type())

### PhoshLockshield

    typedef struct _PhoshLockshield PhoshLockshield;